%define debug_package %{nil}
Name:           nde-customization 
Version:        1.0.0
Release:        12%{?dist}
Summary:        Customization for NDE

License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
#BuildArch:      noarch
Requires:       fcitx-configtool

Provides:       libdsmiconext.so()(64bit)
Provides:       libdrmicon

%define _unpackaged_files_terminate_build 0

%description
Customization for NDE V4


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%triggerin -- firefox
/bin/rm -rf %{_libdir}/firefox/browser/defaults/preferences/all-redhat.js
/bin/rm -rf %{_libdir}/firefox/defaults/preferences/all-redhat.js
/bin/cp -f /usr/share/nde-customization/firefox/all-redhat.js %{_libdir}/firefox/browser/defaults/preferences/
/bin/cp -f /usr/share/nde-customization/firefox/all-redhat.js %{_libdir}/firefox/defaults/preferences/

%triggerin -- chromium
sed -i "s/start.fedoraproject.org/www.gd-linux.com/g" /etc/chromium/master_preferences
sed -i '3s/false/true/' /etc/chromium/master_preferences

%triggerin -- google-chrome-stable
/bin/rm -rf /etc/yum.repos.d/google-chrome.repo

%triggerin -- fcitx-data
FCITX_CONFIG_FILE="/usr/share/fcitx/configdesc/config.desc"
if [ -f $FCITX_CONFIG_FILE ]; then
    sed -i '36s#DefaultValue=L_SHIFT#DefaultValue=SHIFT Both#' $FCITX_CONFIG_FILE
    sed -i '41s#DefaultValue=#DefaultValue=CTRL_SHIFT#' $FCITX_CONFIG_FILE
    sed -i '67s#DefaultValue=False#DefaultValue=True#' $FCITX_CONFIG_FILE
fi

%triggerin -- systemd
sed -i "s/#DefaultTimeoutStartSec=90s/DefaultTimeoutStartSec=10s/g" /etc/systemd/system.conf
sed -i "s/#DefaultTimeoutStopSec=90s/DefaultTimeoutStopSec=10s/g" /etc/systemd/system.conf

%install
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/nde-customization
cp -rf  firefox $RPM_BUILD_ROOT/usr/share/nde-customization
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
install -m 755 %{_target_platform}/src/libdrmicon.so $RPM_BUILD_ROOT/%{_libdir}/libdrmicon.so

%files
%defattr(-, root, root)
%dir /usr/share/nde-customization
/usr/share/nde-customization/firefox/
%{_libdir}/libdrmicon.so



%changelog
* Thu Nov 05 2020 NewStart<os@gd-linux.com> - 1.0.0-13
- fixbug in aarch64: some glibc.so cannot found.

* Thu Nov 05 2020 NewStart<os@gd-linux.com> - 1.0.0-12
- first release.